﻿@model GarageMaster.Models.AccountModels.AdminUserEditModel

@{
    ViewData["Title"] = "EditUserByAdmin";
}

<h1>EditUserByAdmin</h1>

<h4>AdminUserEditModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="EditUserByAdmin" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Email" class="control-label"></label>
                <input asp-for="Email" class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Surname" class="control-label"></label>
                <input asp-for="Surname" class="form-control" />
                <span asp-validation-for="Surname" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NickName" class="control-label"></label>
                <input asp-for="NickName" class="form-control" />
                <span asp-validation-for="NickName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MobilePhone" class="control-label"></label>
                <input asp-for="MobilePhone" class="form-control" />
                <span asp-validation-for="MobilePhone" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" style="transform:scale(1.5);" asp-for="IsActive">
                <label class="form-check-label" asp-for="IsActive"></label>
                <span asp-validation-for="IsActive" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-area="Admin" asp-action="ProfileUser" asp-route-id="@Model.Id">Back to Profile User</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
